import os


class Config():
    """
    The configuration class. Retrieves needed environment information.

    Accessed via app.config or current_app.config
    """
    BASEDIR = os.path.abspath(os.path.dirname(__file__))

    ENVIRONMENT = os.environ.get("APP_ENVIRONMENT") or "DEV"

    SECRET_KEY = os.environ.get("SECRET_KEY") or "you-will-never-guess"
    SQLALCHEMY_DATABASE_URI = os.environ.get("DATABASE_URL") or "sqlite:///{}".format(
        os.path.join(BASEDIR, "app.db")
    )
    SQLALCHEMY_TRACK_MODIFICATIONS = False
